/* Estilos globales */
body {
    background-color: black;
    font-family: 'Calibri', 'Raleway', 'Roboto', 'Nunito Sans', 'Lora','Montserrat', sans-serif;

    -webkit-user-select: none;  /* Chrome, Safari */
    -moz-user-select: none;     /* Firefox */
    -ms-user-select: none;      /* Internet Explorer/Edge */
    user-select: none;          /* Propiedad estándar */
}




/*********************************/
/*************menu-item**********/
/**********************************/

.menu-item {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  border: 1px solid #ddd;
  padding: 15px;
  margin-bottom: 20px; /* Aumenta la separación por debajo */
  background-color: #fff;
  border-radius: 8px;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
  max-width: 800px;
  margin: 0 auto 20px; /* Añade margen inferior y mantiene centrado */
}

/***********************/
/********************/
/****lenguajes**********/
/***********************/

.lang-es,
.lang-en {
  font-size: 0.9em;
  color: #666;
  font-style: oblique;
  font-weight: bolder;
}

.lang-ca {
  color: black;
  font-weight: 600;
  font-size: 1rem;
  font-weight: bolder;
}






/************************************/
/*******imagenes comida*************/
/***********************************/
/*******imagenes comida***********/

.menu-item .image-container {
  flex: 0 0 128px;
  height: 128px;
  overflow: hidden;
  border-radius: 8px; 
  display: flex;
  justify-content: center;
}

.menu-item img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  cursor: pointer;
}

@media only screen and (max-width: 768px) {
  .menu-item {
    flex-direction: column;
    align-items: center;
  }

  .menu-item .image-container {
    flex: 0 0 60%;
    max-width: 250px;
    height: 150px;
    margin-left: 0;
    margin-right: 0;
    display: flex;
    justify-content: center;
    border-radius: 8px;
  }

  .menu-item img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 8px;
  }
}

/* modal Estilos para la imagen ampliada */
/************************************/

.modal-image {
  display: none;
  position: fixed;
  z-index: 9999;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: rgba(0, 0, 0, 0.9);
  backdrop-filter: blur(5px);
}

.modal-content {
  position: absolute;
  top: 40%;
  left: 50%;
  transform: translate(-50%, -50%);
  max-width: 30%;
  max-height: 30%;
  z-index: 10000;
}
.modal-img {
  width: 100%;
  height: auto;
  border-radius: 8px;
}

@media only screen and (max-width: 768px) {
  .modal-content {
    max-width: 80%;
    max-height: 80%;
  }
}

/***********************************/
/*******close cierre boton*********/
/**********************************/
/***********************************/

.close {
  color: red;
  position: absolute;
  top: -50px;
  left: 50%;
  transform: translateX(-50%);
  font-size: 30px;
  font-weight: bold;
  cursor: pointer;
  background-color: orange;
  border-radius: 50%;
  padding: 5px;
}

/************/
/****prices**/
/*************/
.prices {
  margin-top: 10px;
  font-weight: bolder;
}
.price {
  border: 1px solid #ccc;
  border-radius: 5px; /* adjust the value to control the rounded corner */
  padding: 2px;
  background-color: brown;
  color: #fff;
  display: inline;
}

/*********************/
/******alergenos*****/
/********************/
/*********************/

/* Estilos para los alérgenos */
.allergens {
  display: flex;
  align-items: center;
  margin-top: 10px;
}

.allergens img {
  width: 24px;
  height: 24px;
  margin-right: 8px;
}

@media only screen and (max-width: 768px) {
  .allergens {
    margin-left: 0;
    margin-top: 5px;
    margin-bottom: 20px;
  }

  .allergens img {
    width: 28px;
    height: 28px;
  }
}

/**************imagenes comida*/

.cartel-alergenos {
  display: flex;
  justify-content: center;
  align-items: center;
  overflow: hidden;
  width: 100%;
  height: auto;
  position: relative;
}

/*********************/
/******cartel alergenos***/
/**************************/
.img-carta-alergenos {
  max-width: 100%;
  max-height: 100%;
  display: block;
}

.cartel-alergenos:hover .img-carta-alergenos {
  transform: scale(1.5);
}

@media (max-width: 767px) {
  .cartel-alergenos {
    overflow: visible;
  }

  .img-carta-alergenos {
    max-width: 300px;
    max-height: 200px;
    position: relative;
  }

  .cartel-alergenos:hover .img-carta-alergenos {
    transform: scale(1.5);
  }
}

/***********************************/
/* Estilos para íconos sociales */
/***********************************/
/***********************************/
.facebook-social,
.instagram-social,
.phone-social,
.icon-reserva,
.icon-hotel,
.icon-compartir,
.glovo-social,
.web {
  color: brown;
  font-size: 32px;
  margin-right: 10px;
  background-color: white;
  border-radius: 50%;
  padding: 10px;
  width: 50px;
  height: 50px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.links-container {
  margin: 20px auto;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 20px;
  background-color: brown;
  border: 1px solid #000;
  border-radius: 10px;
  padding: 10px;
}

/* Estilos para pantallas más pequeñas (hasta 768px de ancho) */
@media (max-width: 768px) {
  .links-container {
    margin: 20px auto;
    display: flex;
    justify-content: center;
    gap: 10px;
    background-color: brown;
    border: 1px solid #000;
    border-radius: 10px;
    padding: 10px;
  }

  .facebook-social,
  .instagram-social,
  .phone-social,
  .icon-reserva,
  .icon-hotel,
  .icon-compartir,
  .glovo-social,
  .web {
    font-size: 24px;
    width: 40px;
    height: 40px;
    margin-right: 10px;
    margin-bottom: 10px;
  }

  .icon-ingles img,
  .icon-espana img {
    width: 40px;
    height: 40px;
  }
}

/*******************************/
/*************iconos***********/
/*******************************/

.rest {
  text-align: center;
  padding: 15px 30px;
  margin: 40px auto;
  border: 3px solid orange;
  border-radius: 25px;
  font-size: 2.5rem;
  background-color: rgba(0, 0, 0, 0.5);
  color: #ffffff;
  box-shadow: 0px 4px 6px rgba(0, 0, 0, 0.3);
  text-transform: uppercase;
  letter-spacing: 2px;
}

.logo {
  width: 120%;
  height: auto;
  border-radius: 0;
  box-shadow: none;
  margin-left: 50px;
}

.logo-container {
  width: 138px;
  height: auto;
  margin-bottom: -86px;
  text-align: left;
}

@media (max-width: 767px) {
  .demos {
    font-size: 22px;
    font-weight: bolder;
  }

  .logo {
    width: 100%;
    height: auto;
    border-radius: 0;
    box-shadow: none;
    margin: 0 auto;
  }

  .logo-container {
    width: 150px;
    height: auto;
    margin: 20px auto;
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
  }
}

/******************/
/****globo modal**/
/******************/

.glovo-social {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 50px;
  height: 50px;
  border-radius: 50%;
  background-color: white;
  margin-right: 10px;
  margin-top: 0; /* Ajusta la posición vertical del contenedor */
}

.glovo-social img {
  width: 40px;
  height: 40px;
}

.modal-globo {
  margin-top: 50px;
  max-width: 80%;
  max-height: 20%;
  background-color: orange;
  border-radius: 8px;
}

.modal-header {
  text-align: center !important;
  font-size: 24px;
  font-weight: bolder;
}

@media (max-width: 768px) {
  .glovo-social {
    font-size: 24px;
    width: 40px;
    height: 40px;
    margin-right: 10px;
    margin-bottom: 10px;
  }
}

/**************************/
/*************filter navegacion*************/
/**************************/

.menu-filter button:hover {
  background-color: white;
}

.menu-filter {
  margin-bottom: 20px;
  text-align: center;
  transition: transform 0.3s;
}

.menu-filter button {
  margin: 5px;
  padding: 10px 20px; /* Botones más grandes */
  background-color: orange;
  color: black;
  border: none;
  cursor: pointer;
  border-radius: 4px;
  transition: background-color 0.3s; /* Añade una transición suave */
}

/*****despalzamienyo dedo***/
@media only screen and (max-width: 768px) {
  .scrolling-wrapper {
    overflow-x: auto;
    -webkit-overflow-scrolling: touch;
    scroll-behavior: smooth;
    scroll-snap-type: x mandatory;
    scroll-snap-stop: always;
  }
  .menu-filter {
    white-space: nowrap;
    display: flex;
  }
  .menu-filter button {
    flex: 0 0 100px;
    margin: 5px;
    scroll-snap-align: center;
  }
}

/*********************************/

/************tabs-info-card********/
/* Estilos base para las tabs */

.tab-info {
  font-size: 16px;
  font-weight: bold;
  text-align: center;
  color: #333;
  padding: 10px 0;
  background-color: red;
  border-bottom: 2px solid #ddd;
  margin-bottom: 15px;
}

.tabs {
  display: flex;
  justify-content: center;
  margin-bottom: 10px;
}

.tab-button {
  background-color: grey;
  color: white;
  border: 1px solid black;
  padding: 8px 16px;
  cursor: pointer;
  transition: background-color 0.3s, color 0.3s;
  margin: 0 5px;
  font-size: 16px;
  border-radius: 5px;
}

.tab-button.active {
  background-color: #007bff;
  color: #fff;
  font-weight: bold;
}

.tab-button:hover {
  background-color: #0056b3;
  color: #fff;
  border-color: #004080;
}

.tab-content {
  display: none;
  padding: 10px;
  border-top: 1px solid #ddd;
  margin-top: -1px;
}

.tab-content.active {
  display: block;
}

@media (max-width: 768px) {
  .tabs {
    flex-direction: column;
    align-items: center;
  }

  .tab-button {
    margin-bottom: 5px;
    width: 100%;
    text-align: center;
  }
}

@media (max-width: 576px) {
  .tab-button {
    font-size: 14px;
    padding: 6px 12px;
  }
}

/***boton subir arriba***/
.scroll-to-top {
  position: fixed;
  bottom: 20px;
  left: 20px;
  display: none;
  width: 40px;
  height: 40px;
  border-radius: 50%;
  background-color: orange;
  color: #ffffff;
  border: none;
  outline: none;
  cursor: pointer;
  transition: opacity 0.3s ease-in-out;
}

.scroll-to-top:hover {
  opacity: 0.8;
}
